4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.ContentInfo

Classes: Alt, Atom, Opt, QName, Rep, Rep1, Seq, Validator |  |  |  | Fields: ELSE, EMPTY, Empty, Instructions, ResultElements, TEXT_NODE, Template, Text, TopLevelElements, XSL_NAMESPACE

## Classes

class Alt
Alt(arg1, arg2, arg3...) matches arg1 or arg2 or arg3...

### Methods

__init__(self, *args)
__str__(self)
buildValidator(self, validator, initial, final)

class Atom
Atom(arg) matches exactly one occurence of 'arg'

### Methods

__init__(self, token)
buildValidator(self, validator, initial, final)

class Opt
Opt(arg) matches zero or one occurrences of 'arg'

### Methods

__init__(self, arg)
__str__(self)
buildValidator(self, validator, initial, final)

class QName(Atom)
QName(namespaceUri, qualifiedName) matches a fully qualified name (e.g., xsl:sort)

### Methods

__init__(self, namespaceUri, qualifiedName)
__str__(self)

### Methods inherited from class Atom

buildValidator

class Rep
Rep(arg) matches zero or more occurrences of 'arg'

### Methods

__init__(self, arg)
__str__(self)
buildValidator(self, validator, initial, final)

class Rep1
Rep1(arg) matches one or more occurrences of 'arg'

### Methods

__init__(self, arg)
__str__(self)
buildValidator(self, validator, initial, final)

class Seq
Seq(arg1, arg2, arg3...) matches arg1 followed by arg2 followed by arg3...

### Methods

__init__(self, *args)
__str__(self)
buildValidator(self, validator, initial, final)

class Validator

### Methods

__init__(self, expr)
__str__(self)
getValidation(self)
transition(self, token, state1, state2)
validate(self, validation, token)

## Fields

ELSE = -2147483646
EMPTY = -2147483647
Empty = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
Instructions = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Instructions is the set of elements which have a category of instruction
ResultElements = <Ft.Xml.Xslt.ContentInfo.Rep instance>
ResultElements is the set of elements not declared in the XSL namespace
TEXT_NODE = (None, None)
Template = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
Text = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Text is any PCDATA content
TopLevelElements = <Ft.Xml.Xslt.ContentInfo.Rep instance>
TopLevelElements is the set of elements which have a category of top-level-element or are a result-element.
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'